import * as dd from 'dingtalk-jsapi'

function getFullUrl(url) {
  if (!url)
    return ''
  if (url.includes('60.188.226.44:8090')) {
    url = url.replace('60.188.226.44:8090', 'jnjymf.bozedu.net')
  }
  return url.startsWith('http') ? url : `http://jnjymf.bozedu.net/${url}`
}
const previewUrl = 'https://view.officeapps.live.com/op/view.aspx?src='
export function openFile(url) {
  let showUrl = getFullUrl(url)
  let suffix = showUrl.substr(showUrl.lastIndexOf('.') + 1).toLowerCase()

  if (suffix == 'mp3' || suffix == 'mp4' || suffix == 'pdf' || suffix == 'jpg' || suffix == 'jpeg' || suffix == 'png') {
    dd.biz.util.openLink({
      url: showUrl,//要打开链接的地址
    })
  }
  else {
    dd.biz.util.openLink({
      url: previewUrl + showUrl,//要打开链接的地址
    })
  }
}
