import { getAssetsImages } from '../utils/getAssets'

export const menuList = [
  {
    tag: 'gwgl',
    title: '公文管理系统',
    list: [
      { icon: getAssetsImages('index/wdfw.png'), menuName: '我的发文', path: '/officialDocumentManager/myOfficialDocument' },
      { icon: getAssetsImages('index/dbfw.png'), menuName: '待办发文', path: '/officialDocumentManager/todoOffcialDoucument' },
      { icon: getAssetsImages('index/dygw.png'), menuName: '待阅公文', path: '/officialDocumentManager/todoReadDoucument' },
      { icon: getAssetsImages('index/gwk.png'), menuName: '公文库', path: '/officialDocumentManager/documentLibrary' },
    ],
  },
  {
    tag: 'szyd',
    title: '三重一大申报',
    list: [
      { icon: getAssetsImages('index/xmsq.png'), menuName: '项目申请', path: '/sanZhongYiDa/projectApply' },
      { icon: getAssetsImages('index/xmhp.png'), menuName: '项目获批', path: '/sanZhongYiDa/projectReceiveApproval' },
      { icon: getAssetsImages('index/xmds.png'), menuName: '项目待审', path: '/sanZhongYiDa/projectWaitAudit' },
    ],
  },
  {
    tag: 'jsldgl',
    title: '教师流动管理系统',
    list: [
      { icon: getAssetsImages('index/bwrygl.png'), menuName: '编外人员管理', path: '/techerFlowManager/exteriorPersonManger' },
      { icon: getAssetsImages('index/ndkhhz.png'), menuName: '年度考核汇总', path: '/techerFlowManager/annualAssessmentSum' },
      { icon: getAssetsImages('index/myjsqkhz.png'), menuName: '名优教师情况汇总', path: '/techerFlowManager/techerSituationSum' },
      { icon: getAssetsImages('index/txjstx.png'), menuName: '退休教师提醒', path: '/techerFlowManager/retireTeacherRemind' },
      { icon: getAssetsImages('index/myjsjxkh.png'), menuName: '名优教师绩效考核', path: '/techerFlowManager/teacherPerformanceAssessment' },
    ],
  },
  {
    tag: 'jbcb',
    title: '加班餐费补贴',
    list: [
      { icon: getAssetsImages('index/gzt.png'), menuName: '工作台', path: '/overtimeMealFeeSubsidy/workbench' },
    ],
  },
  {
    tag: 'sbcg',
    title: '设备采购申请',
    list: [
      { icon: getAssetsImages('index/sbys.png'), menuName: '设备预算', path: '/equipmentPurchaseApply/budgetOfPlant' },
      { icon: getAssetsImages('index/sbxmk.png'), menuName: '设备项目库', path: '/equipmentPurchaseApply/equipmentItemLibrary' },
    ],
  },
  {
    tag: 'hyydgl',
    title: '会议预定管理',
    list: [
      { icon: getAssetsImages('index/hysyd.png'), menuName: '会议室预定', path: '/reserveMeetingRooms' },
      // { icon: getAssetsImages('index/hyjy.png'), menuName: '会议纪要' },
      // { icon: getAssetsImages('index/hyjyk.png'), menuName: '会议纪要库' },
      // { icon: getAssetsImages('index/hysgl.png'), menuName: '会议室管理' },
    ],
  },
  {
    tag: 'xmgl',
    title: '项目管理',
    list: [
      { icon: getAssetsImages('index/xmlcgl.png'), menuName: '项目流程管理', path: '/projectManager/projectFlowManger' },
      { icon: getAssetsImages('index/xmgkt.png'), menuName: '项目管控台', path: '/projectManager/projectManageControl' },
      { icon: getAssetsImages('index/xmzlk.png'), menuName: '项目资料库', path: '/projectManager/projectDatabase' },
    ],
  },
  {
    tag: 'xzfw',
    title: '行政服务',
    list: [
      { icon: getAssetsImages('index/jslswc.png'), menuName: '教师临时外出', path: '/administrativeService/teacherTempGoOut' },
    ],
  },
  {
    tag: 'jyly',
    title: '借用领用',
    list: [
      { icon: getAssetsImages('index/xclb.png'), menuName: '校产列表', path: '/borrowReceive/schoolPropertyList' },
      { icon: getAssetsImages('index/jylb.png'), menuName: '借用列表', path: '/borrowReceive/borrowList' },
    ],
  },
  // {
  //   title: '学生竞赛管理',
  //   list: [
  //     { icon: getAssetsImages('index/cjbs.png'), menuName: '创建比赛' },
  //     { icon: getAssetsImages('index/zsdy.png'), menuName: '证书打印' },
  //   ],
  // },
  // {
  //   title: '学校工作检查',
  //   list: [
  //     { icon: getAssetsImages('index/tjtj.png'), menuName: '提交统计' },
  //   ],
  // },
  {
    tag: 'cjxt',
    title: '晨检系统',
    list: [
      { icon: getAssetsImages('index/xmlcgl.png'), menuName: '体检登记', path: '/morningInspectionSystem/medicalExaminationRegistration' },
    ],
  },
  {
    tag: 'sbbx',
    title: '设备保修',
    list: [
      { icon: getAssetsImages('index/xmlcgl.png'), menuName: '设备保修', path: '/equipmentWarranty/equipmentWarranty' },
    ],
  },
  {
    tag: 'stxk',
    title: '社团选课',
    list: [
      { icon: getAssetsImages('index/xmlcgl.png'), menuName: '课程选课管理', path: '/clubCourse' },
    ],
  },
  {
    tag: 'xnsg',
    title: '校内申购',
    list: [
      { icon: getAssetsImages('index/xmlcgl.png'), menuName: '校内申购', path: '/equipmentPurchase' },
    ],
  },
  {
    tag: 'tdk',
    title: '调代课',
    list: [
      { icon: getAssetsImages('index/xmlcgl.png'), menuName: '我的课表', path: '/tdk/wdkb' },
      { icon: getAssetsImages('index/xmlcgl.png'), menuName: '我的调代课', path: '/tdk/wdtdk' },
    ],
  },
]
